# $Revision: 1.30.2.2 $, $Date: 2007/01/29 10:56:43 $
Summary:	Print dialog and printer manager for Xfce
Summary(pl):	Okno dialogowe wydruku i zarzdca drukarek dla Xfce
Name:		xfprint
Version:	4.4.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	4b6d8f5381e73e912abddf2fdbf9888f
Patch0:		%{name}-locale-names.patch
Patch1:		%{name}-lpr.patch
URL:		http://www.xfce.org/
BuildRequires:	a2ps-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.8.20
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	xfce4-dev-tools >= %{version}
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-print-backend = %{version}-%{release}
Requires:	a2ps
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfprint contains a print dialog and a printer manager for the Xfce
Desktop Environment.

%description -l pl
Xfprint zawiera okno dialogowe wydruku i zarzdc drukarek dla
rodowiska Xfce.

%package apidocs
Summary:	xfprint API documentation
Summary(pl):	Dokumentacja API xfprint
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
xfprint API documentation.

%description apidocs -l pl
Dokumentacja API xfprint.

%package cups
Summary:	CUPS plugin for xfprint
Summary(pl):	Wtyczka CUPS dla xfprint
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-print-backend = %{version}-%{release}

%description cups
This package contains plugin for xfprint allowing to use CUPS printing
system directly.

%description cups -l pl
Paczka ta zawiera wtyczk dla xfprint, ktra umoliwia bezporednie
korzystanie z systemu wydruku CUPS.

%package bsdlpr
Summary:	bsdlpr plugin for xfprint
Summary(pl):	Wtyczka bsdlpr dla xfprint
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	/usr/bin/lpr
Provides:	%{name}-print-backend = %{version}-%{release}

%description bsdlpr
This package contains plugin for xfprint allowing to use old bsd style
printing system through lpr program.

%description bsdlpr -l pl
Paczka ta zawiera wtyczk dla xfprint, ktra umoliwia drukowanie w
stylu bsd poprzez program lpr.

%package devel
Summary:	Headers files for the xfprint library
Summary(pl):	Pliki nagwkowe biblioteki xfprint
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for the xfprint library.

%description devel -l pl
Pliki nagwkowe biblioteki xfprint.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{pt_PT,pt}.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--enable-cups \
	--enable-bsdlpr \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unusable (no devel resources)
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/xfprint-plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libxfprint.so.*.*.*
%attr(755,root,root) %{_libdir}/xfce4/mcs-plugins/*.so
%dir %{_libdir}/xfce4/xfprint-plugins
%{_desktopdir}/*.desktop
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
%{_iconsdir}/hicolor/*/devices/*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libxfprint

%files cups
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xfce4/xfprint-plugins/cups_plugin.so

%files bsdlpr
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xfce4/xfprint-plugins/bsdlpr_plugin.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfprint.so
%{_includedir}/xfce4/libxfprint
%{_libdir}/libxfprint.la
%{_pkgconfigdir}/xfprint-1.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfprint.spec,v $
Revision 1.30.2.2  2007/01/29 10:56:43  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.36  2007/01/22 18:07:01  megabajt
- updated to 4.4.0
- added apidocs subpackage

Revision 1.35  2006/11/24 15:44:46  megabajt
- updated to 4.3.99.2 (Xfce 4.4RC2)
- added devel subpackage

Revision 1.34  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.30.2.1  2006/07/05 15:03:09  havner
- 4.2.3, HEAD merge
- intltoolize before glib_gettextize

Revision 1.33  2006/04/20 09:33:53  ankry
- tab

Revision 1.32  2005/11/13 01:23:40  charles
- updated to 4.2.3
- updated BRs, fixed desc

Revision 1.31  2005/05/22 22:25:21  koorek
- updated to 4.2.2
- used m4macros from dev-tools
- added fr lang docs - yes, %lang(fr)

Revision 1.30  2005/03/16 20:32:19  qboosh
- strict deps

Revision 1.29  2005/03/16 06:51:35  koorek
- updated to 4.2.1
- removed file_plugins.so (no longer such plugin)
- added "%{name}-print-backend" Provides to plugin packages

Revision 1.28  2005/01/17 23:15:26  troll
- updated to 4.2.0 final

Revision 1.27  2004/12/28 16:36:51  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.26  2004/12/14 13:53:36  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.25  2004/12/07 11:54:46  zbyniu
- BR: gettext-devel, STBR

Revision 1.24  2004/11/30 21:47:29  havner
- s/xfprint4/xfprint

Revision 1.23  2004/11/30 21:36:26  havner
- typo

Revision 1.22  2004/11/30 21:08:19  havner
- plugins into subpackages
- rel 3

Revision 1.21  2004/11/28 02:02:39  havner
- lpr patch
- R: /usr/bin/lpr
- rel 2
- will split plugins in subpackages tommorow

Revision 1.20  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.19  2004/11/27 14:19:34  havner
- merged from DEVEL

Revision 1.18.2.10  2004/11/27 12:50:52  havner
- BR xfce-mcs-manager-devel

Revision 1.18.2.9  2004/11/27 12:47:58  havner
- BR: libxfce4mcs-devel

Revision 1.18.2.8  2004/11/16 21:31:45  dzeus
- proper BR,R

Revision 1.18.2.7  2004/11/16 18:46:49  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.18.2.6  2004/11/13 20:44:19  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.18.2.5  2004/10/09 07:14:27  troll
- updated to 4.1.90 (4.2 beta 1)
- BR: a2ps-devel

Revision 1.18.2.4  2004/08/16 22:52:36  havner
- %%files fixed for new snap

Revision 1.18.2.3  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.18.2.2  2004/08/14 23:45:59  havner
- proper version
- 20040813

Revision 1.18.2.1  2004/08/07 00:56:57  havner
- 20040806

Revision 1.18  2004/07/12 17:47:28  troll
- updated to 4.0.6

Revision 1.17  2004/07/08 14:52:59  qboosh
- added locale-names patch, fix fa,nb,pt names; updated glib2 dep; release 2

Revision 1.16  2004/04/18 07:37:49  ankry
- fixed src URL

Revision 1.15  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.14  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.13  2004/03/10 20:57:36  troll
- updated to 4.0.4

Revision 1.12  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.11  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.10  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.9  2003/09/27 09:13:40  troll
- updated to 4.0.0

Revision 1.8  2003/09/14 15:59:07  troll
- updated to 3.99.4

Revision 1.7  2003/08/27 09:56:26  pascalek
- updated to 3.99.3

Revision 1.6  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.5  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.4  2003/07/07 07:44:13  pascalek
- updated to 3.91.0

Revision 1.3  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.2  2003/06/17 12:52:47  qboosh
- pl, cleanups, fixed file list, removed files unusabe at the moment

Revision 1.1  2003/06/14 20:33:56  pascalek
- initial release
